import React from "react";
import { CCSProgrammingConfiguration } from "../../ccsProgramming";
import MathSpan from "../../../../../pseuco-shared-components/ui/mathSpan/MathSpan";
import { InternalNavigationLink } from "../../../../../hybrid-documents-reader-core/pages/read/LinkNavigationSupport";

const config: CCSProgrammingConfiguration = {
    exerciseDescription: <div>
        <p>Write a <MathSpan content="\mathit{CCS}_0^\omega" /> term that matches the LTS shown <InternalNavigationLink to="/read/ccs/ccs/figure/human-and-cat-together">here</InternalNavigationLink>.</p>
    </div>,
    getWorker: () => new Worker(new URL('./worker.ts', import.meta.url)),
    ccsSyntaxVariant: "ccs0omega"
};

export default config;
