import React from "react";
import { PseuCoProgrammingConfiguration } from "../../pseuCoProgramming";

const config: PseuCoProgrammingConfiguration = {
    allowedDialects: {
        mp: true,
        sm: false
    },
    exerciseDescription: <div>
        <p>Write a pseuCo-MP program that prints <code>"Hello, World!"</code> by sending <code>"Hello"</code> in an asynchronous channel, then starting a printer agent, then sending <code>"World"</code> on the same channel.</p>
        <p>The printer agent should retrieve both values, assemble the greeting and print it.</p>
    </div>,
    getWorker: () => new Worker(new URL('./worker.ts', import.meta.url))
};

export default config;
