import React from "react";
import { PseuCoProgrammingConfiguration } from "../../pseuCoProgramming";

const config: PseuCoProgrammingConfiguration = {
    allowedDialects: {
        mp: true,
        sm: false
    },
    exerciseDescription: <div>
        <p>
            Implement a program that computes the prime numbers between 6 and 25 and prints them, using the pipelining approach presented before this exercise.
        </p>
        <p>
            To make sure your program passes validation, be careful to observe these hints and requirements:
        </p>
        <ul>
            <li>
                start three sieve agents, for the primes 2, 3, and 5, in this order
            </li>
            <li>
                start the print agent last
            </li>
            <li>
                have the <code>mainAgent</code> send all numbers from 6 to 25 (inclusive) in ascending order
            </li>
            <li>
                only use synchronous channels
            </li>
            <li>
                do not print the primes 2, 3, and 5
            </li>
        </ul>
    </div>,
    testValidation: true,
    getWorker: () => new Worker(new URL('./worker.ts', import.meta.url))
};
export default config;
