import React from "react";
import { PseuCoProgrammingConfiguration } from "../../pseuCoProgramming";

const config: PseuCoProgrammingConfiguration = {
    allowedDialects: {
        mp: true,
        sm: false
    },
    exerciseDescription: <div>
        <p>Re-structure the template as follows:</p>
        <ul>
            <li>turn <code>primer()</code> and <code>factorize()</code> into agents</li>
            <li>add an asynchronous channel between them</li>
            <li>let <code>primer()</code> send the generated primes to the channel</li>
            <li>let <code>factorize()</code> receive, factorize and print repeatedly</li>
            <li>let the <code>mainAgent</code> start <code>primer()</code>, then start <code>factorize()</code></li>
        </ul>
        <p>Make no other changes to ensure your program passes the automatic tests.</p>
    </div>,
    template: `int factorize(int n) {
    int f = 1;
    for (; n > 0; n--) {
        f *= n;
    }
    return f;
}

bool isPrime(int n) {
    for (int i = 2; i < n; i++) {
        if (n % i == 0) return false;
    }
    return true;
}

void primer(int max) {
    int n = 2;
    while(n <= max) {
        if (isPrime(n)) {
            println(factorize(n));
        }
        n++;
    }
}

mainAgent {
    primer(5);
}`,
    getWorker: () => new Worker(new URL('./worker.ts', import.meta.url))
};
export default config;
