import React from "react";
import { PseuCoProgrammingConfiguration } from "../../pseuCoProgramming";

const config: PseuCoProgrammingConfiguration = {
    allowedDialects: {
        mp: true,
        sm: false
    },
    exerciseDescription: <div>
        <p>Extend the template to include termination.</p>
        <p>Introduce a new Boolean channel, add a <code>select</code>-<code>case</code>-statement to the <code>factorial</code> agent, and have it terminate on command. Let the <code>mainAgent</code> send such a command after it is done.</p>
    </div>,
    template: `void factorial(intchan c) {
    int z, j, n;
    while (true) {
        z = <? c; // receive input

        n = 1;
        for (j = z; j > 0 ; j--) {
            n = n*j; 
        }

        c <! n; // send result
    };
}

mainAgent {
    intchan cc;
    agent a = start(factorial(cc));
    cc <! 3;
    int mid = <? cc;
    println("3! evaluates to " + mid + ".");
    cc <! mid;
    println("(3!)! evaluates to " + (<? cc) + ".");
}`,
    getWorker: () => new Worker(new URL('./worker.ts', import.meta.url))
};

export default config;
