import React from "react";
import { PseuCoProgrammingConfiguration } from "../../pseuCoProgramming";

const config: PseuCoProgrammingConfiguration = {
    allowedDialects: {
        mp: false,
        sm: true
    },
    exerciseDescription: <div>
        <p>In this exercise, we're playing with fire!</p>
        <p>Write a program that has a 🔥 data race 🔥.<br />Do not use global variables.</p>
        <p><small>As a reminder, we consider pseuCo programs with data races to be fundamentally incorrect. This exercise is an exception because its sole purpose is to demonstrate a data race.</small></p>
    </div>,
    overrideSuccessMessage: <div>
        <p><strong>It's Horrible! 😱</strong></p>
        <p>Your program has a 🔥 data race 🔥.<br />Well, that was the task, so: Well done ✅</p>
    </div>,
    getWorker: () => new Worker(new URL('./worker.ts', import.meta.url))
};

export default config;
