import React from "react";
import { PseuCoProgrammingConfiguration } from "../../pseuCoProgramming";

const config: PseuCoProgrammingConfiguration = {
    allowedDialects: {
        mp: false,
        sm: true
    },
    exerciseDescription: <div>
        <p>Make this program safe and work correctly by introducing a lock.</p>
        <p>Make sure that the areas of code where a lock is held are as short as possible, and make only the changes necessary.</p>
    </div>,
    template: `int n = 6;

void countDown() {
    int i;
    for (i = 0; i < 3; i++) {
        n--;
    }
}

mainAgent {
    agent a1 = start(countDown());
    agent a2 = start(countDown());
    join(a1);
    join(a2);
    
    println("The final value is: " + n);
}`,
    getWorker: () => new Worker(new URL('./worker.ts', import.meta.url))
};

export default config;
