import React from "react";
import { PseuCoProgrammingConfiguration } from "../../pseuCoProgramming";

const config: PseuCoProgrammingConfiguration = {
    allowedDialects: {
        mp: false,
        sm: true
    },
    exerciseDescription: <div>
        <p>Make (only) the following changes to this  program:</p>
        <ul>
            <li>add a lock to <code>MessageBox</code> and use it from inside the structure</li>
            <li>
                add two agents and have the <code>mainAgent</code> start them, passing them a shared <code>MessageBox</code>:
                <ol>
                    <li>the first-started agent runs <code>getMessage()</code> in a loop until it gets a message, then prints it</li>
                    <li>the second-started agent stores <code>42</code> in the MessageBox</li>
                </ol>
            </li>
        </ul>
        <p><small>Hint: If validation takes forever, make sure your program's <code>lock()</code> and <code>unlock()</code> calls are balanced for agent 1.</small></p>
    </div>,
    template: `struct MessageBox {
    int message = -1;
    
    void putMessage(int msg) {
        message = msg;
    }
    
    int getMessage() {
        int tmp = message;
        message = -1;
        return tmp;
    }
}

mainAgent {
    /* statements */
}`,
    getWorker: () => new Worker(new URL('./worker.ts', import.meta.url))
};

export default config;
