import React from "react";
import { PseuCoProgrammingConfiguration } from "../../pseuCoProgramming";

const config: PseuCoProgrammingConfiguration = {
    allowedDialects: {
        mp: false,
        sm: true
    },
    exerciseDescription: <div>
        <p>Write a program that has a global variable <code>message</code> of type <code>string</code>.</p>
        <p>The <code>mainAgent</code> should start an agent <code>printer()</code> that checks this variable until it is non-empty, then print it. Then, the <code>mainAgent</code> should set the global variable to <code>"Hello World!</code>.</p>
    </div>,
    getWorker: () => new Worker(new URL('./worker.ts', import.meta.url))
};

export default config;
